import QtQuick 2.0
import "./" as Components

Rectangle {
    id: weatherCondition
    color: "transparent"
    state: ""

    property string condition: ""

    /* temporary icon map */
    property var conditionicon: {
        "clear_day": "02",
        "clear_night": "12",
        "few_clouds_day": "05",
        "few_clouds_night": "04",
        "scattered_clouds_day": "05",
        "scattered_clouds_night": "04",
        "broken_clouds_day": "03",
        "broken_clouds_night": "03",
        "mostly_cloudy": "03",
        "shower_rain_day": "01",
        "shower_rain_night": "01",
        "rain_day": "09",
        "rain_night": "09",
        "thunderstorm_day": "13",
        "thunderstorm_night": "13",
        "snow_day": "14",
        "snow_night": "14",
        "chance_snow_day": "11",
        "chances_now_night": "11",
        "mist_day": "06",
        "mist_night": "06"
    }

    Image {
        id: icon
        anchors.fill: parent
        source: "../resources/images/"+conditionicon[condition]+".png"
        fillMode: Image.PreserveAspectFit
    }
}
